# Access the Data API

Data API can be accessed using Basic and Bearer Authentication methods at `protocol://hostname:port/api/version/` where:

* `protocol` is HTTPS/HTTP; protocol must be HTTPS when SSL is enabled.
* `hostname` represents the IP address or hostname of the SingleStore deployment.
* `port` is the secure WebSocket proxy port configured.
* `version` is the Data API version; currently v1 and v2 are supported.

To access SingleStore Data API via Basic Authentication, you need to provide your SingleStore account credentials (username and password) in each HTTP request. The credentials must be passed as a Base-64 encoded `username:password` string in the Authorization header in the HTTP client. For example, the Authorization header of `demo:Afu4XjzB1ns` appears as follows.

```HTTP&#x20;Header
Authorization: Basic ZGVtbzpBZnU0WGp6QjFucw==
```

Using an HTTP client such as cURL, you can either pass your credentials as parameters in the `--user` or the `-u` option or add them before the `hostname` in the HTTP request, as shown below.

```shell
curl -u "username:password" https://hostname:port/api/v2/exec
```

```shell
curl https://username:password@hostname:port/api/v2/exec
```

cURL encodes the `username:password` string using Base-64 and inserts it in the Authorization header before sending the HTTP request to the server.

Here's an example of using Bearer Authentication to access the Data API via cURL:

```shell
curl -H "Authorization: Bearer eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9.eyJzdWIiOiIxMjM0NTY3ODkwIiwibmFtZSI6IkpvaG4gRG9lIiwiaWF0IjoxNTE2MjM5MDIyfQ.C1um3oUNP4178sTG9WahtfZxN0-GqnYTPsbx-zhH9Qk" https://hostname:port/api/v2/exec
```

You can use API development tools and libraries to send Data API requests and handle responses. You can also test-run the Data API at the Linux command line. For more information on how to use the Data API, refer to [Data API Endpoint Reference](https://docs.singlestore.com/db/v9.1/reference/data-api/data-api-endpoint-reference.md).

***

Modified at: September 26, 2025

Source: [/db/v9.1/reference/data-api/access-the-data-api/](https://docs.singlestore.com/db/v9.1/reference/data-api/access-the-data-api/)

(An index of the documentation is available at /llms.txt)
